<h1 align="center">Vizro-AI</h1>

<div align="center" markdown="1">

[![Python version](https://img.shields.io/badge/python-3.9%20%7C%203.10%20%7C%203.11%20%7C%203.12-blue.svg)](https://pypi.org/project/vizro/) [![PyPI version](https://badge.fury.io/py/vizro_ai.svg)](https://badge.fury.io/py/vizro_ai) [![License](https://img.shields.io/badge/license-Apache%202.0-blue.svg)](https://github.com/mckinsey/vizro/blob/main/LICENSE.md) [![Documentation](https://readthedocs.org/projects/vizro-ai/badge/?version=latest)](https://vizro-ai.readthedocs.io/) [![OpenSSF Best Practices](https://www.bestpractices.dev/projects/7858/badge)](https://www.bestpractices.dev/projects/7858)

<picture>
  <source srcset="https://raw.githubusercontent.com/mckinsey/vizro/main/.github/images/toolkit_vizro_ai.gif">
  <img alt="Gif to demonstrate Vizro-AI" src="https://raw.githubusercontent.com/mckinsey/vizro/main/.github/images/toolkit_vizro_ai_fallback.png" width="600">
</picture>

<p>
<font size="+1">
Vizro-AI is a tool designed for generating data visualizations.
It serves as an extension to Vizro, leveraging natural language capabilities to empower users in creating both charts and dashboards, making it a comprehensive solution for visual data exploration.
</font>
</p>

</div>

## Try out live

| Platform     | Chart creation                                                                                                                                                                            | Dashboard creation                                                                                                                                                                            |
| ------------ | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| PyCafe       | https://py.cafe/app/vizro-official/vizro-ai-charts                                                                                                                                        |                                                                                                                                                                                               |
| Google Colab | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/mckinsey/vizro/blob/main/vizro-ai/examples/chart_by_vizro_ai.ipynb) | [![Open In Colab](https://colab.research.google.com/assets/colab-badge.svg)](https://colab.research.google.com/github/mckinsey/vizro/blob/main/vizro-ai/examples/dashboard_by_vizro_ai.ipynb) |

## Why Vizro-AI?

### Easy-to-use

One of the key strengths of Vizro-AI lies in its natural language capabilities, making it accessible to coding novices. Vizro-AI provides a user-friendly interface that allows to create interactive charts and dashboards while offering detailed insights about the data and the generated code.

### Visually-optimized

Vizro-AI also caters to data practitioners who often find themselves spending more time in formatting rather than actual visualization creation. Vizro-AI enables users to speed up the process of creating visually appealing charts and dashboards by using Vizro's themes which incorporate design best practices by default.

### End-to-End solution

Vizro-AI leverages the power of [Plotly](https://plotly.com/python/) to produce interactive charts and power of [Vizro](https://github.com/mckinsey/vizro) to create interactive dashboards, making it a complete solution for visual data exploration.

## Disclaimer

Please review the [Disclaimer](https://vizro-ai.readthedocs.io/en/latest/pages/explanation/disclaimer/) before using `vizro-ai` package.

## Documentation

For more information, please refer to our [Documentation](https://vizro.readthedocs.io/projects/vizro-ai/).

## Acknowledgment

Vizro-AI is powered by [LangChain](https://github.com/langchain-ai/langchain).
