# Vizro-AI

Vizro-AI uses generative AI to extend [Vizro](https://vizro.readthedocs.io) so you can use instructions in English, or other languages, to effortlessly create interactive charts and dashboards.

By using Vizro's themes, you can incorporate design best practices by default. If you're new to coding, Vizro-AI simplifies both the creation of charts with [Plotly](https://plotly.com/python/) and their layout upon an interactive and easily-distributed dashboard.

Even if you are an experienced data practitioner, Vizro-AI optimizes how you create visually appealing layouts to present detailed insights about your data.

<img src="https://raw.githubusercontent.com/mckinsey/vizro/main/.github/images/toolkit_vizro_ai.gif" alt="Gif to demonstrate vizro-ai">

<div class="grid cards" markdown>

- :fontawesome-solid-forward-fast:{ .lg .middle } __New to Vizro-AI?__

    ---

    [:octicons-arrow-right-24: Install Vizro-AI](pages/user-guides/install.md)

    [:octicons-arrow-right-24: Quickstart chart generation](pages/tutorials/quickstart.md)

    [:octicons-arrow-right-24: Quickstart dashboard generation](pages/tutorials/quickstart-dashboard.md)

- :fontawesome-solid-keyboard:{ .lg .middle } __Get hands-on__

    ---

    [:octicons-arrow-right-24: How to run Vizro-AI](pages/user-guides/run-vizro-ai.md)

    [:octicons-arrow-right-24: Model usage](pages/user-guides/customize-vizro-ai.md)

    [:octicons-arrow-right-24: Create advanced charts](pages/user-guides/create-advanced-charts.md)

    [:octicons-arrow-right-24: Add charts to a dashboard](pages/user-guides/add-generated-chart-usecase.md)

    [:octicons-arrow-right-24: Retrieve code for a generated dashboard](pages/user-guides/run-vizro-ai-dashboard.md)

- :material-format-font:{ .lg .middle } __Find out more__

    ---

    [:octicons-arrow-right-24: FAQs](pages/explanation/faq.md)

    [:octicons-arrow-right-24: Safeguard dynamic code execution](pages/explanation/safeguard.md)

    [:octicons-arrow-right-24: Guidelines for use of LLMs](pages/explanation/safety-in-vizro-ai.md)

- :fontawesome-solid-chart-column:{ .lg .middle } __Vizro__

    ---

    [:octicons-arrow-right-24: Vizro documentation](https://vizro.readthedocs.io/)

</div>

!!! notice "Notice"
    Review the [disclaimer](pages/explanation/disclaimer.md) before using the `vizro-ai` package.

    Users must connect to large language models (LLMs) to use Vizro-AI. Please review our [guidelines on the use of LLMs](pages/explanation/safety-in-vizro-ai.md) and the required [safeguarding for dynamic code evaluation](pages/explanation/safeguard.md).
